import * as React from 'react';
import './Space.scss';
import { CenterType } from './Globals';
interface IPublicProps {
    id?: string;
    className?: string;
    style?: React.CSSProperties;
    scrollable?: boolean;
    trackSize?: boolean;
    centerContent?: CenterType;
    as?: string;
}
interface IAnchoredProps {
    size?: number | string;
    order?: number;
}
interface IResizableProps {
    handleSize?: number;
    overlayHandle?: boolean;
    minimumSize?: number;
    maximumSize?: number;
}
export declare const Fill: React.FC<IPublicProps>;
export declare const Top: React.FC<IPublicProps & IAnchoredProps>;
export declare const Left: React.FC<IPublicProps & IAnchoredProps>;
export declare const Bottom: React.FC<IPublicProps & IAnchoredProps>;
export declare const Right: React.FC<IPublicProps & IAnchoredProps>;
export declare const TopResizable: React.FC<IPublicProps & IAnchoredProps & IResizableProps>;
export declare const LeftResizable: React.FC<IPublicProps & IAnchoredProps & IResizableProps>;
export declare const BottomResizable: React.FC<IPublicProps & IAnchoredProps & IResizableProps>;
export declare const RightResizable: React.FC<IPublicProps & IAnchoredProps & IResizableProps>;
interface ISpaceInfo {
    width: number;
    height: number;
}
export declare const Info: React.FC<{
    children: (info: ISpaceInfo) => React.ReactNode;
}>;
export {};
